Journeys

Get a published journey version (Preview)

Preview · Available to selected organizations. Returns the immutable definition of one published version. Use this endpoint to get a published journey version through the Samva email API.

GET
/v1/journeys/{id}/versions/{version}

Returns the immutable definition of one published version.

x-api-key<token>

In: header

Path Parameters

id*string
Match^jrny_[0-9a-hjkmnp-tv-z]{16,24}$
version*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/journeys/string/versions/string"
{  "journeyId": "string",  "version": -9007199254740991,  "definition": {    "trigger": {      "type": "event",      "eventName": "string"    },    "rootNodeId": "string",    "nodes": {      "property1": {        "type": "send_email",        "config": {          "template": "string",          "senderId": "string",          "templateData": {            "property1": "string",            "property2": "string"          }        },        "next": [          {            "nodeId": "string"          }        ]      },      "property2": {        "type": "send_email",        "config": {          "template": "string",          "senderId": "string",          "templateData": {            "property1": "string",            "property2": "string"          }        },        "next": [          {            "nodeId": "string"          }        ]      }    },    "goal": {      "eventName": "string"    },    "reentry": true  },  "publishedAt": "string"}

Related documentation